aboutsummaryrefslogtreecommitdiff
path: root/src/gns/test_gns_txt_lookup.sh
diff options
context:
space:
mode:
authorLRN <lrn1986@gmail.com>2013-12-08 21:33:34 +0000
committerLRN <lrn1986@gmail.com>2013-12-08 21:33:34 +0000
commit0339fb1c3eb6daeda7f1904815d8eb0101203567 (patch)
treeeac23c2ad58d7dcfa36a3bbd15c09f87d2d8ebdc /src/gns/test_gns_txt_lookup.sh
parentef2d4d1604028a47f7cbd4f23681eba37dc2ac0c (diff)
downloadgnunet-0339fb1c3eb6daeda7f1904815d8eb0101203567.tar.gz
gnunet-0339fb1c3eb6daeda7f1904815d8eb0101203567.zip
Change gnunet-config detection in gns tests
Diffstat (limited to 'src/gns/test_gns_txt_lookup.sh')
-rwxr-xr-xsrc/gns/test_gns_txt_lookup.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/src/gns/test_gns_txt_lookup.sh b/src/gns/test_gns_txt_lookup.sh
index d527e28c7..f60ba1dbb 100755
--- a/src/gns/test_gns_txt_lookup.sh
+++ b/src/gns/test_gns_txt_lookup.sh
@@ -4,8 +4,13 @@ trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
4LOCATION=$(which gnunet-config) 4LOCATION=$(which gnunet-config)
5if [ -z $LOCATION ] 5if [ -z $LOCATION ]
6then 6then
7 LOCATION="gnunet-config"
8fi
9$LOCATION --version
10if test $? != 0
11then
7 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 12 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
8 exit 1 13 exit 77
9fi 14fi
10 15
11rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f` 16rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`